Subject: Re: bug#70697: 30.0.50; Frame parameter alpha-background is ignored for fringe bitmaps & internal borders

From: Aleksandar Dimitrov <[email-masked]>
Date: Tue, 16 Jul 2024 10:11:57 +0200

Hi Po Lu,

>> - the bug with the fringe is fixed in both pgtk and gtk3
>
> Thanks, this portion of the patch has been installed in emacs-30.

Thank you :)

>> - insets are not opaque anymore in pgtk
>> - insets are *black* and opaque with the minimal repro I posted in the beginning of
>>   this thread --with-pgtk
>> - insets are *white* and opaque --with-x-toolkit=gtk3 (again with
>> the minimal repro)
>>
>> I'm not sure why that is, or whether that's a problem.
>
> I'll continue pursuing this matter.

OK, thanks. Since that's not really part of the original problem, I'd
consider the matter resolved. I'll think about making a feature request
in the future to create transparent insets. Thanks for your work on Emacs'
graphical frontends!

Cheers,
Aleks